Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  SolidWorks
  Makro Dateieigenschaft für Material

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   Makro Dateieigenschaft für Material (349 mal gelesen)
Conrad
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von Conrad an!   Senden Sie eine Private Message an Conrad  Schreiben Sie einen Gästebucheintrag für Conrad

Beiträge: 230
Registriert: 20.12.2002

Windows 10
SolidWorks 2015/Sp5.0
Intel(R) XEON(R) CPU
W3565 @ 3.2Ghz
12 GB RAM
Phönix EDM 5.0
Novell-Netz

erstellt am: 12. Mrz. 2018 15:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Dateieigenschaften.JPG

 
Hallo,
irgend wie steh ich auf dem Schlauch:
Ich möchte per Macro die Dateieigenschaft Material, in all unseren Modellen füllen lassen.
Einnen bestimmten Text kann ich ja ohne Probleme in die Eigenschaften schreiben Debug.Print ModelDoc.AddCustomInfo3(Config, Prop, swCustomInfoText, "xxxx"), wie kann ich aber die Variable für das SWX-Material einfügen, damit immer des entsprechende Material in den Dateieigenschaften steht?

------------------
Grüße aus dem Allgäu
Conrad

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Andi Beck
Ehrenmitglied V.I.P. h.c.
Konstrukteur



Sehen Sie sich das Profil von Andi Beck an!   Senden Sie eine Private Message an Andi Beck  Schreiben Sie einen Gästebucheintrag für Andi Beck

Beiträge: 2070
Registriert: 02.10.2006

Firma: SW 2017-5.0 Professional,
Windows 7 Pro 64bit, i7-2600K
3,4 GHz, 16 GbRAM, Quadro K2000
250GB SSD
Home:
SW 2016-5.0
SW 2017-5.0
SW 2018-4.0
Windows 7 Home Premium 64bit,
i7-860, 3,2 GHz, 16 GbRAM, GeForce GTX 1050Ti
Samsung SSD 840EVO 250GB

erstellt am: 12. Mrz. 2018 17:03    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Conrad 10 Unities + Antwort hilfreich

Hallo,
schau mal darüber:

Code:

    Dim swApp          As SldWorks.SldWorks
    Dim swModel        As SldWorks.ModelDoc2 
    Dim Configuration  As SldWorks.Configuration          'aktive Konfiguration der Komponente   
    Dim Config          As String                          'Konfiguration der Komponente
    Dim Material        As String                          'zum Material auslesen
    Dim dbs            As Variant          'zum Material auslesen
    Dim sMatDB          As String          'zum Material auslesen

    Set swApp = Application.SldWorks
    Set swModel = swApp.ActiveDoc
    Set Configuration = swModel.GetActiveConfiguration()        'aktive Konfiguration der Komponente
    Config = Configuration.Name                                'Konfiguration der Komponente
    dbs = swApp.GetMaterialDatabases        'zum Material auslesen
                                           

'das Material der Konfig auslesen
        If (swModel.GetType = swDocPART) Then
            Material = swModel.GetMaterialPropertyName2(Config, sMatDB)
        End If


Grüße, Andi

------------------
Hast du kein Problem?
Such dir eins. ( Und löse es )

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Conrad
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von Conrad an!   Senden Sie eine Private Message an Conrad  Schreiben Sie einen Gästebucheintrag für Conrad

Beiträge: 230
Registriert: 20.12.2002

Windows 10
SolidWorks 2015/Sp5.0
Intel(R) XEON(R) CPU
W3565 @ 3.2Ghz
12 GB RAM
Phönix EDM 5.0
Novell-Netz

erstellt am: 13. Mrz. 2018 08:09    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities


Dateieigenschaften.JPG

 
Hallo Andi,
vielen Dank für die Hilfe.
Ich hab mich leider nicht ganz deutlich ausgedrückt.
Aber was ich suche, ist:
Wie kann ich die SWX-Eigenschaft "Material" (Siehe Bild) in die Dateieigenschaften schreiben, sodaß sich SWX das Material selber "heraussucht".
So bräuchte ich nur einmal das Makro über unsere Teile laufen lassen und den Wert noch in die Vorlagen eintragen. Damit wären die Dateieigenschaften ab diesem Zeitpunkt immer gefüllt!
So kann ich in der Zeichnung den Werkstoff über die Variable $PRPSHEET:"Material" im Schriftfeld eintragen lassen.
Grund darür ist die Umstellung auf ein neues ERP/EDM System.

------------------
Grüße aus dem Allgäu
Conrad

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Ralf Tide
Moderator
Ingenieur




Sehen Sie sich das Profil von Ralf Tide an!   Senden Sie eine Private Message an Ralf Tide  Schreiben Sie einen Gästebucheintrag für Ralf Tide

Beiträge: 4327
Registriert: 06.08.2001

.-)

erstellt am: 13. Mrz. 2018 08:27    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für Conrad 10 Unities + Antwort hilfreich

Zitat:
Original erstellt von Conrad:
Debug.Print ModelDoc.AddCustomInfo3(Config, Prop, swCustomInfoText, "xxxx")

Config = ""
Prop = Material
swCustomInfoText (= 30)
"xxxx" = "SW-Material@Dateiname.SLDPRT" z.B. "SW-Material@9570001916T02.SLDPRT"
Jetzt hab ichs Problem auch verstanden 

"xxxx" = Chr$(34) & "SW-Material@" & "Dateiname.SLDPRT" & Chr$(34) z.B. Chr$(34) & "SW-Material@" & "9570001916T02.SLDPRT" & Chr$(34)

HTH
Ralf

------------------

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Conrad
Mitglied
Dipl.-Ing. (FH)


Sehen Sie sich das Profil von Conrad an!   Senden Sie eine Private Message an Conrad  Schreiben Sie einen Gästebucheintrag für Conrad

Beiträge: 230
Registriert: 20.12.2002

Windows 10
SolidWorks 2015/Sp5.0
Intel(R) XEON(R) CPU
W3565 @ 3.2Ghz
12 GB RAM
Phönix EDM 5.0
Novell-Netz

erstellt am: 13. Mrz. 2018 09:23    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Super!
Danke!
Ganau das wars

------------------
Grüße aus dem Allgäu
Conrad

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2018 CAD.de | Impressum | Datenschutz